Ubuntu Feisty Fawn and Clam AntiVirus

If you like me get your logs filled with:

WARNING: Your ClamAV installation is OUTDATED!
WARNING: Local version: 0.90.2 Recommended version: 0.91.1

Do not despair! I have the solution for you.

The problem is that only security fixes are applied to the packages included in an Ubuntu release, new features and non-security bugfixes won’t be made available. So in the ClamAV case, they have released a new version which fixed some non-security related problems, and hence the update won’t make it into Feisty Fawn. However, every time you run ClamAV it checks its version number against the latest release, and if a newer release is available the above warning is printed.

To the rescue comes the team behind UbuntuBackports. They make non-security updates of programs available for Feisty Fawn. Not of all programs and not for each change but for us using ClamAV they are backporting the latest version. Which means we can get rid of the warning above without having to compile the latest version from source.

To use UbuntuBackports, either follow the instructions on the page linked above or do the following:

  1. Add deb http://archive.ubuntu.com/ubuntu feisty-backports main universe multiverse restricted to your /etc/apt/sources.list file
  2. $ sudo apt-get update
  3. $ sudo apt-get upgrade

Super easy!